*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from AUTO.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              AUTO                                         ...
* *  Workspace View:     Auto Discovery                               ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Auto_Discovery;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Auto Discovery;
* DESC=Query for JVM Auto Discovery;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.AUTO;
* COLUMNS=JOBNAME;
* COLUMNS=JVMTYPE;
* COLUMNS=FULLVER;
* COLUMNS=JAVAHOME;
* COLUMNS=CONFIG;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND AUTO.ORIGINNODE EQ $NODE$;
* PRED=AND AUTO.JVMPID EQ $JVMPID$;
* PRED=AND AUTO.JOBNAME EQ $JOBNAME$;
* PRED=AND AUTO.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Auto_Discovery';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Auto_Discovery',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Auto Discovery',
  'Query for JVM Auto Discovery',
  'IBM',
  '1151201165541000',
'at=$THRUNODE$@table1.name=AUTO@table1.column1.name=JOBNAME@table1.colum
n2.name=JVMTYPE@table1.column3.name=FULLVER@table1.column4.name=JAVAHOME
@table1.column5.name=CONFIG@table1.column6.name=ASID@table1.column7.name
=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table1.colu
mn10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.connecto
r=AND@filter1.column=AUTO.ORIGINNODE@filter1.operator=EQ@filter1.value=$
NODE$@filter2.connector=AND@filter2.column=AUTO.JVMPID@filter2.operator=
EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=AUTO.JOBN
AME@filter3.operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND@fi
lter4.column=AUTO.ASID@filter4.operator=EQ@filter4.value=$ASID$@filterCo
unt=4@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.n
ame=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CPU.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              CPU                                          ...
* *  Workspace View:     CPU Statistics                               ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_CPU;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=CPU Statistics;
* DESC=Query for JVM CPU Statistics;
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.CPU;
* COLUMNS=JOBNAME;
* COLUMNS=UPTIME;
* COLUMNS=CPUTM;
* COLUMNS=IFATM;
* COLUMNS=IFACPTM;
* COLUMNS=CPUPN;
* COLUMNS=IFAPN;
* COLUMNS=IFACPPN;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND HEALTH.ORIGINNODE EQ $NODE$;
* PRED=AND HEALTH.JVMPID EQ $JVMPID$;
* PRED=AND HEALTH.JOBNAME EQ $JOBNAME$;
* PRED=AND HEALTH.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_General_CPU_Critical Critical;
* SITNAME=JVM_General_CPU_Warning Warning;
* SITNAME=JVM_IFA_on_General_CPU_Critical Critical;
* SITNAME=JVM_IFA_on_General_CPU_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_General_CPU_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_General_CPU_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_IFA_on_General_CPU_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_IFA_on_General_CPU_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_CPU';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_CPU',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'D',
  'CPU Statistics',
  'Query for JVM CPU Statistics',
  'IBM',
  '1151201165542000',
'at=$THRUNODE$@table1.name=CPU@table1.column1.name=JOBNAME@table1.column
2.name=UPTIME@table1.column3.name=CPUTM@table1.column4.name=IFATM@table1
.column5.name=IFACPTM@table1.column6.name=CPUPN@table1.column7.name=IFAP
N@table1.column8.name=IFACPPN@table1.column9.name=ASID@table1.column10.n
ame=JVMPID@table1.column11.name=SMFID@table1.column12.name=COLLID@table1
.column13.name=ORIGINNODE@table1.columnCount=13@tableCount=1@filter1.con
nector=AND@filter1.column=HEALTH.ORIGINNODE@filter1.operator=EQ@filter1.
value=$NODE$@filter2.connector=AND@filter2.column=HEALTH.JVMPID@filter2.
operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=
HEALTH.JOBNAME@filter3.operator=EQ@filter3.value=$JOBNAME$@filter4.conne
ctor=AND@filter4.column=HEALTH.ASID@filter4.operator=EQ@filter4.value=$A
SID$@filterCount=4@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=
T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@his
tory=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.CPU';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.CPU',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor        0000000001000000000',
   32,
   259,
   '1151201165542000',
   '_ KCJ',
   'KJJ.JVM_CPU',
   'CPU Statistics'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_General_CPU_Critical',
   'Critical',
   'KJJ.JVM_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_General_CPU_Warning',
   'Warning',
   'KJJ.JVM_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_IFA_on_General_CPU_Critical',
   'Critical',
   'KJJ.JVM_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_IFA_on_General_CPU_Warning',
   'Warning',
   'KJJ.JVM_CPU',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details                          ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Data_Details;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details;
* DESC=Query for JVM Environment Details;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ $ENVTYPE$;
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Data_Details';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Data_Details',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details',
  'Query for JVM Environment Details',
  'IBM',
  '1151201165545000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=$ENVTYPE$@filter4.conn
ector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=EQ@filter4.valu
e=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.ASID@filter5.ope
rator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value="TIMEOUT","600"
,3@parmaCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.Tab
leRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_BC.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details Boot Classpath           ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_Boot_Classpath;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details Boot Classpath;
* DESC=Query for JVM Environment Details Boot Classpath;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "BOOTCLASSP";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_Boot_Classpath';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_Boot_Classpath',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details Boot Classpath',
  'Query for JVM Environment Details Boot Classpath',
  'IBM',
  '1151201165543000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=BOOTCLASSP@filter3.typ
e=S@filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator
=EQ@filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.
ASID@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value
="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@propert
y1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_CL.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details Command Line             ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_Command_Line;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details Command Line;
* DESC=Query for JVM Environment Details Command Line;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "CMDLINE";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_Command_Line';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_Command_Line',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details Command Line',
  'Query for JVM Environment Details Command Line',
  'IBM',
  '1151201165543000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=CMDLINE@filter3.type=S
@filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=EQ
@filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.ASI
D@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value="T
IMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.
value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_CP.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details Classpath                ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_Classpath;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details Classpath;
* DESC=Query for JVM Environment Details Classpath;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "CLASSPATH";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_Classpath';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_Classpath',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details Classpath',
  'Query for JVM Environment Details Classpath',
  'IBM',
  '1151201165543000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=CLASSPATH@filter3.type
=S@filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=
EQ@filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.A
SID@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value=
"TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property
1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_EV.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details Environment Variables    ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_Environment_Variables;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details Environment Variables;
* DESC=Query for JVM Environment Details Environment Variables;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "ENVVAR";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_Environment_Variables';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_Environment_Variables',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details Environment Variables',
  'Query for JVM Environment Details Environment Variables',
  'IBM',
  '1151201165544000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=ENVVAR@filter3.type=S@
filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=EQ@
filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.ASID
@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value="TI
MEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.v
alue=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_JP.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details JVM Parameters           ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_JVM_Parameters;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details JVM Parameters;
* DESC=Query for JVM Environment Details JVM Parameters;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "JVMPARM";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_JVM_Parameters';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_JVM_Parameters',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details JVM Parameters',
  'Query for JVM Environment Details JVM Parameters',
  'IBM',
  '1151201165544000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=JVMPARM@filter3.type=S
@filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=EQ
@filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.ASI
D@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value="T
IMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.
value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_SP.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details System Properties        ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_System_Properties;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details System Properties;
* DESC=Query for JVM Environment Details System Properties;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "SYSPROPS";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_System_Properties';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_System_Properties',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details System Properties',
  'Query for JVM Environment Details System Properties',
  'IBM',
  '1151201165544000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=SYSPROPS@filter3.type=
S@filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=E
Q@filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.AS
ID@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value="
TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1
.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVIRON.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVIRON                                      ...
* *  Workspace View:     Environment Data                             ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Data;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Data;
* DESC=Query for JVM Environment Data;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVIRON;
* COLUMNS=JOBNAME;
* COLUMNS=JVMTYPE;
* COLUMNS=VERSION;
* COLUMNS=FULLVER;
* COLUMNS=JAVAHOME;
* COLUMNS=PROCESSORS;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVIRON.ORIGINNODE EQ $NODE$;
* PRED=AND ENVIRON.JVMPID EQ $JVMPID$;
* PRED=AND ENVIRON.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVIRON.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Data';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Data',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Data',
  'Query for JVM Environment Data',
  'IBM',
  '1151201165545000',
'at=$THRUNODE$@table1.name=ENVIRON@table1.column1.name=JOBNAME@table1.co
lumn2.name=JVMTYPE@table1.column3.name=VERSION@table1.column4.name=FULLV
ER@table1.column5.name=JAVAHOME@table1.column6.name=PROCESSORS@table1.co
lumn7.name=ASID@table1.column8.name=JVMPID@table1.column9.name=SMFID@tab
le1.column10.name=COLLID@table1.column11.name=ORIGINNODE@table1.columnCo
unt=11@tableCount=1@filter1.connector=AND@filter1.column=ENVIRON.ORIGINN
ODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filte
r2.column=ENVIRON.JVMPID@filter2.operator=EQ@filter2.value=$JVMPID$@filt
er3.connector=AND@filter3.column=ENVIRON.JOBNAME@filter3.operator=EQ@fil
ter3.value=$JOBNAME$@filter4.connector=AND@filter4.column=ENVIRON.ASID@f
ilter4.operator=EQ@filter4.value=$ASID$@filterCount=4@parma1.value="TIME
OUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.val
ue=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from GCSUMM.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              GCSUMM                                       ...
* *  Workspace View:     Garbage Collection Statistics                ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Garbage_Collection;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Garbage Collection Statistics;
* DESC=Query for JVM Garbage Collection Statistics;
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.GCSUMM;
* COLUMNS=JOBNAME;
* COLUMNS=GCMODE;
* COLUMNS=MAXHPSZ;
* COLUMNS=MAXUSEHP;
* COLUMNS=MEANHPSZ;
* COLUMNS=MEANUSEHP;
* COLUMNS=MINHPSZ;
* COLUMNS=MINUSEHP;
* COLUMNS=NRSTOTFLP;
* COLUMNS=OCCUPCT;
* COLUMNS=ALOCFAILCT;
* COLUMNS=NUMFNLREFS;
* COLUMNS=GCRATE;
* COLUMNS=GCCOUNT;
* COLUMNS=NUMSYSGC;
* COLUMNS=CONCCOLCT;
* COLUMNS=AVGCOLINT;
* COLUMNS=AVGPAUSETM;
* COLUMNS=MAXPSTM;
* COLUMNS=MINPSTM;
* COLUMNS=PAUSEPPN;
* COLUMNS=UNPSEPPN;
* COLUMNS=GBLGCCT;
* COLUMNS=AVGGBLINT;
* COLUMNS=AVGGBLPSTM;
* COLUMNS=NRSGCCT;
* COLUMNS=NRSAVGINT;
* COLUMNS=NRSAVGPSTM;
* COLUMNS=SYNCHGCCT;
* COLUMNS=PGCCOUNT;
* COLUMNS=PGCAVGINT;
* COLUMNS=PGCAVGPS;
* COLUMNS=GMPCOLLCT;
* COLUMNS=GMPAVGINT;
* COLUMNS=GMPAVGPSTM;
* COLUMNS=GMPCYCLCT;
* COLUMNS=GMPAVGCPC;
* COLUMNS=SAMPPERIOD;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* COLUMNS=QUANTCT;
* COLUMNS=LRGSTREQ;
* PRED=AND GCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND GCSUMM.JVMPID EQ $JVMPID$;
* PRED=AND GCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND GCSUMM.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_GC_Pause_Critical Critical;
* SITNAME=JVM_GC_Pause_Warning Warning;
* SITNAME=JVM_Occupancy_after_GC_Critical Critical;
* SITNAME=JVM_System_GC_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Garbage_Collection';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_GC_Pause_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_GC_Pause_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Occupancy_after_GC_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_System_GC_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_Garbage_Collection';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Garbage_Collection',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'D',
  'Garbage Collection Statistics',
  'Query for JVM Garbage Collection Statistics',
  'IBM',
  '1151201165545000',
'at=$THRUNODE$@table1.name=GCSUMM@table1.column1.name=JOBNAME@table1.col
umn2.name=GCMODE@table1.column3.name=MAXHPSZ@table1.column4.name=MAXUSEH
P@table1.column5.name=MEANHPSZ@table1.column6.name=MEANUSEHP@table1.colu
mn7.name=MINHPSZ@table1.column8.name=MINUSEHP@table1.column9.name=NRSTOT
FLP@table1.column10.name=OCCUPCT@table1.column11.name=ALOCFAILCT@table1.
column12.name=NUMFNLREFS@table1.column13.name=GCRATE@table1.column14.nam
e=GCCOUNT@table1.column15.name=NUMSYSGC@table1.column16.name=CONCCOLCT@t
able1.column17.name=AVGCOLINT@table1.column18.name=AVGPAUSETM@table1.col
umn19.name=MAXPSTM@table1.column20.name=MINPSTM@table1.column21.name=PAU
SEPPN@table1.column22.name=UNPSEPPN@table1.column23.name=GBLGCCT@table1.
column24.name=AVGGBLINT@table1.column25.name=AVGGBLPSTM@table1.column26.
name=NRSGCCT@table1.column27.name=NRSAVGINT@table1.column28.name=NRSAVGP
STM@table1.column29.name=SYNCHGCCT@table1.column30.name=PGCCOUNT@table1.
column31.name=PGCAVGINT@table1.column32.name=PGCAVGPS@table1.column33.na
me=GMPCOLLCT@table1.column34.name=GMPAVGINT@table1.column35.name=GMPAVGP
STM@table1.column36.name=GMPCYCLCT@table1.column37.name=GMPAVGCPC@table1
.column38.name=SAMPPERIOD@table1.column39.name=ASID@table1.column40.name
=JVMPID@table1.column41.name=SMFID@table1.column42.name=COLLID@table1.co
lumn43.name=ORIGINNODE@table1.column44.name=QUANTCT@table1.column45.name
=LRGSTREQ@table1.columnCount=45@tableCount=1@filter1.connector=AND@filte
r1.column=GCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@fil
ter2.connector=AND@filter2.column=GCSUMM.JVMPID@filter2.operator=EQ@filt
er2.value=$JVMPID$@filter3.connector=AND@filter3.column=GCSUMM.JOBNAME@f
ilter3.operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND@filter4
.column=GCSUMM.ASID@filter4.operator=EQ@filter4.value=$ASID$@filterCount
=4@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name
=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.GCSUMM';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.GCSUMM',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor        0000000001000000000',
   32,
   259,
   '1151201165545000',
   '_ KCJ',
   'KJJ.JVM_Garbage_Collection',
   'Garbage Collection Statistics'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_GC_Pause_Critical',
   'Critical',
   'KJJ.JVM_Garbage_Collection',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_GC_Pause_Warning',
   'Warning',
   'KJJ.JVM_Garbage_Collection',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Occupancy_after_GC_Critical',
   'Critical',
   'KJJ.JVM_Garbage_Collection',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_System_GC_Warning',
   'Warning',
   'KJJ.JVM_Garbage_Collection',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from HEALTH.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              HEALTH                                       ...
* *  Workspace View:     Health Summary                               ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Health_Summary;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Health Summary;
* DESC=Query for JVM Health Summary;
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.HEALTH;
* COLUMNS=JOBNAME;
* COLUMNS=JVMTYPE;
* COLUMNS=LIBERTY;
* COLUMNS=GCRATE;
* COLUMNS=GCPAUSEPPN;
* COLUMNS=GCOCCUPNCY;
* COLUMNS=NUMSYSGC;
* COLUMNS=LKPCTMISS;
* COLUMNS=LKPCTUTIL;
* COLUMNS=LKAVGHLDTM;
* COLUMNS=CPUPCT;
* COLUMNS=CPZIIPELG;
* COLUMNS=THDCT;
* COLUMNS=THDBLK;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND HEALTH.ORIGINNODE EQ $NODE$;
* PRED=AND HEALTH.JVMPID EQ $JVMPID$;
* PRED=AND HEALTH.JOBNAME EQ $JOBNAME$;
* PRED=AND HEALTH.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_Lock_Missed_Critical Critical;
* SITNAME=JVM_Lock_Missed_Warning Warning;
* SITNAME=JVM_Thread_Blocked_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Health_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Lock_Missed_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Lock_Missed_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Thread_Blocked_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_Health_Summary';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Health_Summary',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'D',
  'Health Summary',
  'Query for JVM Health Summary',
  'IBM',
  '1151201165546000',
'at=$THRUNODE$@table1.name=HEALTH@table1.column1.name=JOBNAME@table1.col
umn2.name=JVMTYPE@table1.column3.name=LIBERTY@table1.column4.name=GCRATE
@table1.column5.name=GCPAUSEPPN@table1.column6.name=GCOCCUPNCY@table1.co
lumn7.name=NUMSYSGC@table1.column8.name=LKPCTMISS@table1.column9.name=LK
PCTUTIL@table1.column10.name=LKAVGHLDTM@table1.column11.name=CPUPCT@tabl
e1.column12.name=CPZIIPELG@table1.column13.name=THDCT@table1.column14.na
me=THDBLK@table1.column15.name=ASID@table1.column16.name=JVMPID@table1.c
olumn17.name=SMFID@table1.column18.name=COLLID@table1.column19.name=ORIG
INNODE@table1.columnCount=19@tableCount=1@filter1.connector=AND@filter1.
column=HEALTH.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter
2.connector=AND@filter2.column=HEALTH.JVMPID@filter2.operator=EQ@filter2
.value=$JVMPID$@filter3.connector=AND@filter3.column=HEALTH.JOBNAME@filt
er3.operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND@filter4.co
lumn=HEALTH.ASID@filter4.operator=EQ@filter4.value=$ASID$@filterCount=4@
parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1
021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.HEALTH';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.HEALTH',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor        0000000001000000000',
   32,
   259,
   '1151201165546000',
   '_ KCJ',
   'KJJ.JVM_Health_Summary',
   'Health Summary'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Lock_Missed_Critical',
   'Critical',
   'KJJ.JVM_Health_Summary',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Lock_Missed_Warning',
   'Warning',
   'KJJ.JVM_Health_Summary',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Thread_Blocked_Warning',
   'Warning',
   'KJJ.JVM_Health_Summary',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from LOCKS.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              LOCKS                                        ...
* *  Workspace View:     Lock Statistics                              ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Locks;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Lock Statistics;
* DESC=Query for JVM Lock Statistics;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.LOCKS;
* COLUMNS=JOBNAME;
* COLUMNS=MONNAME;
* COLUMNS=GETCT;
* COLUMNS=SLOWGETS;
* COLUMNS=RECURSIVE;
* COLUMNS=AVGHOLDTM;
* COLUMNS=PCTMISS;
* COLUMNS=PCTUTIL;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND LOCKS.ORIGINNODE EQ $NODE$;
* PRED=AND LOCKS.JVMPID EQ $JVMPID$;
* PRED=AND LOCKS.JOBNAME EQ $JOBNAME$;
* PRED=AND LOCKS.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Locks';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Locks',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Lock Statistics',
  'Query for JVM Lock Statistics',
  'IBM',
  '1151201165546000',
'at=$THRUNODE$@table1.name=LOCKS@table1.column1.name=JOBNAME@table1.colu
mn2.name=MONNAME@table1.column3.name=GETCT@table1.column4.name=SLOWGETS@
table1.column5.name=RECURSIVE@table1.column6.name=AVGHOLDTM@table1.colum
n7.name=PCTMISS@table1.column8.name=PCTUTIL@table1.column9.name=ASID@tab
le1.column10.name=JVMPID@table1.column11.name=SMFID@table1.column12.name
=COLLID@table1.column13.name=ORIGINNODE@table1.columnCount=13@tableCount
=1@filter1.connector=AND@filter1.column=LOCKS.ORIGINNODE@filter1.operato
r=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=LOCKS.JVM
PID@filter2.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@fil
ter3.column=LOCKS.JOBNAME@filter3.operator=EQ@filter3.value=$JOBNAME$@fi
lter4.connector=AND@filter4.column=LOCKS.ASID@filter4.operator=EQ@filter
4.value=$ASID$@filterCount=4@parma1.value="TIMEOUT","600",3@parmaCount=1
@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyC
ount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OVERVIEW.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              OVERVIEW                                     ...
* *  Workspace View:     JVM Overview                                 ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Overview;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=JVM Overview;
* DESC=Query for JVM Overview;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.OVERVIEW;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=MONITORED;
* COLUMNS=NOTMON;
* COLUMNS=GCRATE;
* COLUMNS=GCRATEPID;
* COLUMNS=PAUSEPPN;
* COLUMNS=PAUSEPID;
* COLUMNS=OCCUPANCY;
* COLUMNS=OCCUPPID;
* COLUMNS=NUMSYSGC;
* COLUMNS=NMSYSGCPID;
* COLUMNS=PCTMISS;
* COLUMNS=PCTMISSPID;
* COLUMNS=PCTUTIL;
* COLUMNS=PCTUTILPID;
* COLUMNS=AVGHOLDTM;
* COLUMNS=AHOLDTMPID;
* COLUMNS=CPUPCT;
* COLUMNS=CPUPCTPID;
* COLUMNS=CPUZPEL;
* COLUMNS=CPUZPELPID;
* COLUMNS=THDCT;
* COLUMNS=THDCTPID;
* COLUMNS=THDBLK;
* COLUMNS=THDBLKPID;
* COLUMNS=SMFIDCOLL;
* COLUMNS=ORIGINNODE;
* PRED=AND OVERVIEW.ORIGINNODE EQ $NODE$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Overview';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Overview',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'JVM Overview',
  'Query for JVM Overview',
  'IBM',
  '1151201165546000',
'at=$THRUNODE$@table1.name=OVERVIEW@table1.column1.name=SMFID@table1.col
umn2.name=COLLID@table1.column3.name=MONITORED@table1.column4.name=NOTMO
N@table1.column5.name=GCRATE@table1.column6.name=GCRATEPID@table1.column
7.name=PAUSEPPN@table1.column8.name=PAUSEPID@table1.column9.name=OCCUPAN
CY@table1.column10.name=OCCUPPID@table1.column11.name=NUMSYSGC@table1.co
lumn12.name=NMSYSGCPID@table1.column13.name=PCTMISS@table1.column14.name
=PCTMISSPID@table1.column15.name=PCTUTIL@table1.column16.name=PCTUTILPID
@table1.column17.name=AVGHOLDTM@table1.column18.name=AHOLDTMPID@table1.c
olumn19.name=CPUPCT@table1.column20.name=CPUPCTPID@table1.column21.name=
CPUZPEL@table1.column22.name=CPUZPELPID@table1.column23.name=THDCT@table
1.column24.name=THDCTPID@table1.column25.name=THDBLK@table1.column26.nam
e=THDBLKPID@table1.column27.name=SMFIDCOLL@table1.column28.name=ORIGINNO
DE@table1.columnCount=28@tableCount=1@filter1.connector=AND@filter1.colu
mn=OVERVIEW.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCo
unt=1@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.n
ame=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from THREADS.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *   Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              THREADS                                      ...
* *  Workspace View:     Thread Statistics                            ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Threads;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Thread Statistics
* DESC=Query for JVM Thread Statistics;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.THREADS;
* COLUMNS=JOBNAME;
* COLUMNS=THREADNAME;
* COLUMNS=THREADID;
* COLUMNS=STATE;
* COLUMNS=CONTOBJ;
* COLUMNS=CONTTHD;
* COLUMNS=CONTTHDID;
* COLUMNS=LCKSOWND;
* COLUMNS=NUMMONOWND;
* COLUMNS=STCKTRCE;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND THREADS.ORIGINNODE EQ $NODE$;
* PRED=AND THREADS.JVMPID EQ $JVMPID$;
* PRED=AND THREADS.JOBNAME EQ $JOBNAME$;
* PRED=AND THREADS.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Threads';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Threads',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Thread Statistics',
  'Query for JVM Thread Statistics',
  'IBM',
  '1151201165546000',
'at=$THRUNODE$@table1.name=THREADS@table1.column1.name=JOBNAME@table1.co
lumn2.name=THREADNAME@table1.column3.name=THREADID@table1.column4.name=S
TATE@table1.column5.name=CONTOBJ@table1.column6.name=CONTTHD@table1.colu
mn7.name=CONTTHDID@table1.column8.name=LCKSOWND@table1.column9.name=NUMM
ONOWND@table1.column10.name=STCKTRCE@table1.column11.name=ASID@table1.co
lumn12.name=JVMPID@table1.column13.name=SMFID@table1.column14.name=COLLI
D@table1.column15.name=ORIGINNODE@table1.columnCount=15@tableCount=1@fil
ter1.connector=AND@filter1.column=THREADS.ORIGINNODE@filter1.operator=EQ
@filter1.value=$NODE$@filter2.connector=AND@filter2.column=THREADS.JVMPI
D@filter2.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filte
r3.column=THREADS.JOBNAME@filter3.operator=EQ@filter3.value=$JOBNAME$@fi
lter4.connector=AND@filter4.column=THREADS.ASID@filter4.operator=EQ@filt
er4.value=$ASID$@filterCount=4@parma1.value="TIMEOUT","600",3@parmaCount
=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propert
yCount=1@history=F@');

